Package com.salesforce.datacloud.jdbc.interceptor

## Class QueryIdHeaderInterceptor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.interceptor.QueryIdHeaderInterceptor

All Implemented Interfaces:
  `HeaderMutatingClientInterceptor`, `io.grpc.ClientInterceptor`

    public class QueryIdHeaderInterceptor
    extends Object
    implements HeaderMutatingClientInterceptor

### Field Summary

Fields
`static io.grpc.Metadata.Key<String>` `HYPER_QUERY_ID_KEY`

### Constructor Summary

Constructors
`QueryIdHeaderInterceptor​(String queryId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mutate​(io.grpc.Metadata headers)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.salesforce.datacloud.jdbc.interceptor.HeaderMutatingClientInterceptor

`interceptCall`

### Field Detail

#### HYPER_QUERY_ID_KEY

    public static final io.grpc.Metadata.Key<String> HYPER_QUERY_ID_KEY

### Constructor Detail

#### QueryIdHeaderInterceptor

    public QueryIdHeaderInterceptor​(String queryId)

### Method Detail

#### mutate

    public void mutate​(io.grpc.Metadata headers)

Specified by:
  `mutate` in interface `HeaderMutatingClientInterceptor`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`